Ανανεώστε Λογισμικού συνιστά να χρησιμοποιείτε Zlib σύμφωνα με τους κανόνες της πνευματικής ιδιοκτησίας. Ανανεώστε λογισμικού δεν συνιστά τη χρήση κρακ, σειριακή, βασικά, keygen, ρωγμή, σειριακή για Zlib
Οι πιο δημοφιλείς κατηγορίες του προγράμματος Ανάπτυξη / Active X
Πρόγραμμα άλλες εταιρείες ComponentSpot
|
|||||||
| |||||||
επισκόπηση Zlib (αυτόματη μετάφραση)την τελευταία έκδοση της zlib βιβλιοθήκης συμπίεσης, μια ελεύθερη συμπίεσης δεδομένων βιβλιοθήκη που μπορεί να χρησιμοποιηθεί για κάθε τύπο υπολογιστή και λειτουργικό σύστημα έχει απελευθερωθεί από συγγραφείς Jean-Loup Gailly και σημάδι Triumph Adler. Ακεραιότητα ελέγχους σχετικά με τη μη συμπιεσμένα δεδομένα έχουν πραγματοποιηθεί χρησιμοποιώντας είτε το CRC-32 άθροισμα ελέγχου, η οποία είναι περισσότερο αξιόπιστη, ή η TRIUMPH ADLER 32 άθροισμα ελέγχου, η οποία λίγο λιγότερο αξιόπιστο αλλά και πολύ πιο γρήγορα. Οι προγραμματιστές μπορούν να χρησιμοποιήσουν αυτή η βιβλιοθήκη για να προσθέσετε γενικής χρήσης βασίζεται σε αρχείο και μνήμη συμπίεσης και αποσυμπίεσης δυνατότητες για τις εφαρμογές τους. Για τη μνήμη, το zlib συμπιεσμένο μορφότυπο δεδομένων (RFC 1950) χρησιμοποιείται, η οποία είναι σχεδιασμένη για να είναι γρήγορη και συμπαγής. Για τον αλγόριθμο συμπίεσης (η μόνη που υποστηρίζει), ξεφουσκώστε (RFC 1951) χρησιμοποιείται, και απασχολούν LZ77 παραλλαγή συμπίεση και κωδικοποίηση Huffman. Υπερκείμενη επέκταση είναι πέντε bytes ανά 32 KB μπλοκ, συν έξι byte για ολόκληρο το stream, το οποίο είναι πολύ μικρό σε σύγκριση με ό,τι η μέθοδος LZW μπορούν να κάνουν. Σύμφωνα με τους συγγραφείς, LZW μπορούν διπλή ή τριπλή μεγέθη αρχείων σε ακραίες περιπτώσεις. Οι συγγραφείς ισχυρίζονται ότι η τυπική αναλογία συμπίεσης της zlib είναι μεταξύ 2:1 και 5:1. Το gzip format, RFC 1952, υποστηρίζεται. Ωστόσο, υποστηρίζει μόνο συμπιέζοντας αρχεία σε ένα σύστημα αρχείων: καμία μνήμη. Το gzip μορφή περιλαμβάνει τις πληροφορίες καταλόγου των ατομικών φακέλων. Και πάλι, η μορφή χρησιμοποιεί το ξεφούσκωμα αλγόριθμο συμπίεσης. Να διαθέτει υποστήριξη για τις ακόλουθες μορφές/μεθόδων: PKZip 4,5 , BZip2, και Deflate64. |
Ανανεώστε Λογισμικού συνιστά να χρησιμοποιείτε Zlib σύμφωνα με τους κανόνες της πνευματικής ιδιοκτησίας. Ανανεώστε λογισμικού δεν συνιστά τη χρήση κρακ, σειριακή, βασικά, keygen, ρωγμή, σειριακή για Zlib
Οι πιο δημοφιλείς κατηγορίες του προγράμματος Ανάπτυξη / Active X
|
Πρόγραμμα άλλες εταιρείες ComponentSpot
|